Description

I have fixed some mistakes in Russian translation for 4.1.0:

E instead of Yo:

-        odd: "может иметь лишь нечетное значение" 

-        even: "может иметь лишь четное значение" 

+        odd: "может иметь лишь нечётное значение" 

+        even: "может иметь лишь чётное значение" 

Using of Yo letter (Russian Ё) isn’t required but some strings already contains Yo. So proper way is to add dots above E.

Untranslated new requirements to passwords:

-        must_contain_uppercase: "must contain uppercase letters (A-Z)" 

-        must_contain_lowercase: "must contain lowercase letters (a-z)" 

-        must_contain_digits: "must contain digits (0-9)" 

-        must_contain_special_chars: "must contain special characters (!, $, %, ...)" 

+        must_contain_uppercase: "должен содержать заглавные латинские буквы (A-Z)" 

+        must_contain_lowercase: "должен содержать строчные латинские буквы (a-z)" 

+        must_contain_digits: "должен содержать цифры (0-9)" 

+        must_contain_special_chars: "должен содержать специальные символы (!, $, %, ...)" 

Wrong dash character name:

-  text_project_identifier_info: Допускаются только строчные латинские буквы (a-z), цифры, тир

е и подчеркивания.<br />После сохранения идентификатор изменить нельзя.

+  text_project_identifier_info: Допускаются только строчные латинские буквы (a-z), цифры, деф

исы и подчёркивания.<br />После сохранения идентификатор изменить нельзя.

Russian word “тире” [tʲɪ're] means long Em Dash (U+2014) but not a hyphen (U+002D) which named “дефис” [dʲə'fis].

Related issues:

Copied to Redmine - Patch #32995: Russian translation update for 4.1-stable Closed

Associated revisions

Revision 19517 - 2020-02-13 05:18 - Go MAEDA

Fix typos in Russian translation (#32828).

Patch by Alexander Sapozhnikov.

History

#1 - 2020-01-17 11:20 - Vasili Korol

1. The change е -> ё is insignificant and is mostly a matter of taste. Personally, I don't mind the change, but even without it the text would be

correct.

2. I agree with the proposed translations of must_contain_* strings.
3. The change тире -> дефис is strictly speaking correct. Though I am sure that no one would mistaken a hyphen for a long dash in the context

(project title).

Since all proposed changes are actually correct, I would support the patch "as is", if there are no objections from other Russian speakers.

#2 - 2020-01-20 09:10 - Alexander Sapozhnikov

1. Yes, change e → ë is insignificant, but inconsistency looks ugly.

3. Further reading in Russian about hyphen, dashes, and minus: Артемий Лебедев. Тире, минус и дефис, или Черты русской типографики.

#3 - 2020-02-04 10:41 - Go MAEDA

- Target version set to 4.2.0

#4 - 2020-02-13 03:08 - Go MAEDA

- Copied to Patch #32995: Russian translation update for 4.1-stable added

#5 - 2020-02-13 05:17 - Go MAEDA

- Subject changed from Fix Russian translation in 4.1.0 to Fix typo in Russian translation

I have extracted the newly translated strings (must_contain_*) as #32995.

#6 - 2020-02-13 05:19 - Go MAEDA

- Subject changed from Fix typo in Russian translation to Fix typos in Russian translation

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your translation.

#7 - 2021-03-28 01:50 - Go MAEDA

- Tracker changed from Patch to Defect

- Resolution set to Fixed

Files

locales-ru.patch 8.8 KB 2020-01-16 Alexander Sapozhnikov
